Skip to main content
POST
/
clusters
/
{clusterId}
/
analysis
Start cluster analysis
curl --request POST \
  --url https://api.qovery.com/clusters/{clusterId}/analysis \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prometheus_url": "<string>",
  "history_duration_hours": 336,
  "target_kubernetes_version": "1.32"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "triggered_by": "<string>",
  "error_message": "<string>"
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

clusterId
string<uuid>
required

Cluster ID

Body

application/json
kind
enum<string>
required
Available options:
COST_RECOMMENDATION,
DEPRECATED_API_CHECK
output_format
enum<string>
required
Available options:
TABLE,
JSON,
CSV
prometheus_url
string | null

Optional Prometheus URL for COST_RECOMMENDATION analysis. When omitted, the engine resolves the default Qovery OBS endpoint.

history_duration_hours
integer | null

Optional history duration in hours for COST_RECOMMENDATION analysis.

Example:

336

target_kubernetes_version
string | null

Optional target Kubernetes version for DEPRECATED_API_CHECK analysis.

Example:

"1.32"

Response

Cluster analysis started

id
string<uuid>
required
cluster_id
string<uuid>
required
organization_id
string<uuid>
required
kind
enum<string>
required
Available options:
COST_RECOMMENDATION,
DEPRECATED_API_CHECK
status
enum<string>
required
Available options:
PENDING,
RUNNING,
SUCCEEDED,
FAILED,
TERMINATED
output_format
enum<string>
required
Available options:
TABLE,
JSON,
CSV
created_at
string<date-time>
required
updated_at
string<date-time>
required
triggered_by
string
required
error_message
string | null